Skip to main content
GET
/
v1
/
robots
/
realtime-cost
/
summary
/
sessions
Get Realtime Cost Summary Sessions
curl --request GET \
  --url https://api.gbase.ai/v1/robots/realtime-cost/summary/sessions \
  --header 'Authorization: Bearer <token>'
{
  "bot_id": "<string>",
  "model": "<string>",
  "session_count": 123,
  "total_cost": 123,
  "sessions": [
    {
      "session_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "bot_id": "<string>",
      "provider": "<string>",
      "bot_name": "<string>",
      "user_identifier": "<string>",
      "language": "<string>",
      "turn_count": 0,
      "duration_ms": 0,
      "total_tokens": 0,
      "input_text_tokens": 0,
      "input_audio_tokens": 0,
      "cached_tokens": 0,
      "output_text_tokens": 0,
      "output_audio_tokens": 0,
      "total_cost": 0
    }
  ],
  "start_time": "2023-11-07T05:31:56Z",
  "end_time": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

start_time
string<date-time>
end_time
string<date-time>
model
string
default:auto

Response

Successful Response

bot_id
string
required
model
string
required
session_count
integer
required
total_cost
number
required
sessions
RealtimeSessionCostOut · object[]
required
start_time
string<date-time>
end_time
string<date-time>